バージョン 4.4.3 における主な変更点:

* バージョン4.4.2で、共有ライブラリのバージョンが正しくなかったため、
  本バージョンで修正した。
* 細かな不具合を修正した。

バージョン 4.4.2 における主な変更点:

* 図版メニューに関する処理で、初期化処理が一部抜けていたのを修正した。
* ebzip 伸長時に、正常終了時も終了コードが1になってしまう不具合を修正
  した。
* ebzip テストモード時も、ファイルのコピーが実行されてしまう不具合を
  修正した。
* ebzip のメモリ開放忘れを直した。

バージョン 4.4.1 における主な変更点:

* 画像、音声データを扱う際に、データが格納されているファイルの大きさが
  2GB を正しく扱えなかったので修正した。

バージョン 4.4 における主な変更点:

* 2GB を超える大きさのファイルを扱えるようにした。ただし、システム側で
  対応していることが前提条件。
* EBZIP形式の圧縮ファイルで、4294967296〜1099511627775バイト (4GB〜1TB)
  のファイルの表現方法を規定した。ebzip, ebunzip はこの規定に沿って圧縮
  および伸張を行なう。
* ebzip, ebunzip がディレクトリ作成に失敗したとき、何もエラーメッセージ
  を出さずに終了する不具合を修正した。

バージョン 4.3.4 における主な変更点:

* 環境によっては、ebinfo の出力する副本の題名が文字化けするのを修正した。
* 注: ライブラリ本体には変更がないので、共有ライブラリのバージョンは更新
  してしない。

バージョン 4.3.3 における主な変更点:

* Cygwin, MinGW で DLL を作成できるようにした。
* Windows で ebzipinfo が異常終了する不具合を修正した。

バージョン 4.3.2 における主な変更点:

* バージョン 4.3.1 で、共有ライブラリの番号付けが間違っていたので修正した。
* ebinfo の日本語メッセージに、空白文字が抜けているものがあったので修正した。

バージョン 4.3.1 における主な変更点:

* 動画ファイル名に英大文字が使われると、動画データを読み込めない不具合
  を修正した。
* 電子ブックリーダー Panasonic KX-EBP2 付属品に対応した。
* ebnet でバッファオーバーランが起きる不具合を修正した。

バージョン 4.3 における主な変更点:

* EPWING で複数の副本がディレクトリを共有している場合、正しくアクセス
  できない不具合を修正した。
* `ebunzip --test' が、電子ブックの本文ファイルを上書きしてしまう不具合
  を修正した。
* ebappendix が、`catalogs.app' を読み込んでも電子ブック形式の appendix
  を生成してしまう不具合を修正した。
* 参照先付きカラー図版に対応した。
  API として、eb_have_image_menu() と eb_image_menu() が追加された。
  テキストのフックとして、EB_HOOK_BEGIN_IMAGE_PAGE, EB_HOOK_END_IMAGE_PAGE,
  EB_HOOK_BEGIN_CLICKABLE_AREA, EB_HOOK_END_CLICKABLE_AREA の 4つが追加
  された。

バージョン 4.2.2 における主な変更点:

* 4.2.1 で混入した、一部の EPWING が正しく扱えない不具合を修正した。
* eb.conf の EBCONF_ENABLE_NLS の値が正しくセットされない不具合を修正
  した。
* 音声ファイルの取り出しがうまくいかない不具合を終始した。
* 一部の Linux 環境で configure 時に NLS (Native/National Language
  Support) が有効にならない不具合を修正した。
* 細かな不具合をいくつか修正した。

バージョン 4.2.1 における主な変更点:

* 不具合をいくつか修正した。

バージョン 4.2 における主な変更点:

* クロス検索に対応した。
  関数 eb_have_cross_search(), eb_search_cross() をライブラリに追加した。
  また、ebinfo は、クロス検索の情報を出力するようになった。
* 動画ファイル名の絶対パス名を返す関数 eb_compose_movie_path_name() を
  ライブラリに追加した。
* ebrefile は、カタログファイルを上書きするようにした。
  上書き前のカタログファイルは、".old" という接尾子の付いたファイル名で
  保存される。
* zlib を添付しないようにした。
  configure から --with-included-zlib オプションを削除した。
* 不具合をいくつか修正した。

バージョン 4.1.3 における主な変更点:

* バージョン 4.1.2 で、共有ライブラリの番号付けが間違っていたので修正した。
* `make install' が失敗する不具合を修正した。

バージョン 4.1.2 における主な変更点:

* 特定の書籍で、EB ライブラリが書籍に載っている単語を検索できない
  不具合を修正した。
* FreeBSD-5.3-RELEASE で make が失敗する不具合を修正した。
* Windows 環境において、ebzip コマンドの起動時のコマンド名 (ebunzip.exe,
  ebzipinfo.exe など) をもとに、正しく動作を決定できない不具合を修正
  した。

バージョン 4.1.1 における主な変更点:

* ユーティリティコマンドで、引数を取る長いオプション (例: ebzip の
  --level) に対して引数を渡さないと、コマンドが異常終了する不具合を
  修正した。
* eb_write_text_byte2() がおかしなデータを書き込む不具合を修正した。
* ドキュメントの HTML ファイルのスタイルを変更した。

バージョン 4.1 における主な変更点:

* BSD ライセンスを採用するようにした。
* ebfont が PNG 形式の画像ファイルを生成できるようにした。
  ebfont の --image-format オプションに `png' を指定できるようにした。
* ライブラリに eb_narrow_font_png_size(), eb_wide_font_png_size(),
  eb_bitmap_to_png() を加えた。
* eb_bitmap_to_xbm(), eb_bitmap_to_xpm(), eb_bitmap_to_gif(),
  eb_bitmap_to_bmp() は EB_Error_Code を返すようにた。
* ライブラリが、非圧縮ブロックデータのキャッシュをより効率的に行う
  ようにした。
* `ebzip' が START/HONMON ファイルの部分圧縮に対応した。
  これにより、前方一致検索が速くなった。
* 日本語ドキュメントを HTML 形式で配布するようにした。
* 英語のドキュメントを削除した。

バージョン 4.0.1 における主な変更点:

* ヘッダファイル内の EB_P, ZIO_P マクロの定義を修正した。
* `ebzipinfo' は `--skip-content movie' オプションを指定しない限り、
  動画ファイルの情報も表示するようにした。
* `ebzip', `ebunzip' の進行状況メッセージは、標準出力ではなく標準エラー
  出力に表示するようにした。

バージョン 4.0 における主な変更点:

* EB_BookList 関連の API を改良した。
* EB_ERR_UNBOUND_BOOKLIST, EB_ERR_NO_SUCH_BOOK という 2 つのエラー
  コードを追加した。
* `eb3.m4' を `eb4.m4' に改名した。
* `configure' に `--enable-ebnet' オプションを追加した。
* `eb/flags.h' をインストールするようにした。
  このファイルは、`eb/defs.h' から自動的に include される。
* 重大および軽度の不具合をいくつか修正した。

バージョン 4.0beta3 における主な変更点:

* EUC-JP 以外の日本語のエンコーディングに対応した。
* Windows 対応のためのコードをいくつか付加した。
  Windows 上で EB ライブラリのビルドを行うには、`eb-win32' パッケージ
  を使用して下さい。
* `ebstopcode' に `--text-position' (`-p') オプションを追加した。

バージョン 4.0beta2 における主な変更点:

* 検索メソッドの重大な不具合を修正した。

バージョン 4.0beta1 における主な変更点:

* `ebstopchk' を `ebstopcode' に改名した。
  コマンドの `--stop-code' オプションも `--code' に改名した。
* `ebappendix' の `--case', `--suffix' オプションを削除した。
* `ebappendix' の日本語版ドキュメントを用意した。
* `ebinfo' に `--book-list' オプションを追加した。
* `ebdump', `ebfixlog' を `misc' サブディレクトリに入れた。
* 不具合をいくつか修正した。

バージョン 4.0beta0 における主な変更点:

* 遠隔アクセスに対応した。
* `ebstopchk' コマンドを追加した。

バージョン 3.3.2 における主な変更点:

* 共有ライブラリのバージョン番号を修正した。
* 「日英仏辞典」(YRRS-059) に対応した。

バージョン 3.3.1 における主な変更点:

* EPWING 版「ジーニアス英和大辞典」に対応した。
* 複合検索の処理の不具合を修正した。
* デバッグモードの不具合を修正した。

バージョン 3.3 における主な変更点:

* eb_read_binary_mpeg() の不具合を修正した。

バージョン 3.3beta3 における主な変更点:

* 複合検索を修正した。
* 軽度の不具合をいくつか修正した。

バージョン 3.3beta2 における主な変更点:

* 重大および軽度の不具合をいくつか修正した。
* `eb3.m4' は `$(datadir)/aclocal' にインストールするようにした。

バージョン 3.3beta1 における主な変更点:

* 不具合をいくつか修正した。

バージョン 3.3beta0 における主な変更点:

* EPWING のファイル名や圧縮タイプを見分けるコードを大幅に書き改めた。
* 関数 eb_multi_title() を追加した。
  この関数は、特定の複合検索の題名を取得する。この関数の使用によって、
  `ebinfo' コマンドで `--multi-search' (`-m') を指定した際に、複合検索
  の題名を表示するようになった。
* `ebrefile' の不具合を修正した。
* インライン画像に対応するため、テキストデータへのフックを 2 種類追加
  した。

バージョン 3.2.3 における主な変更点:

* PCM 音声データの処理における不具合を修正した。
* テキストのフックを 2 種類追加した。

バージョン 3.2.2 における主な変更点:

* appendix の処理における不具合を修正した。
* gettext のメッセージカタログを修正した。

バージョン 3.2.1 における主な変更点:

* テキストの読み込みルーチンを修正した。
* zlib-1.1.4 を取り込んだ。

バージョン 3.2 における主な変更点:

* 特になし。

バージョン 3.2beta3 における主な変更点:

* インストールの際に起こる不具合をいくつか修正した。

バージョン 3.2beta2 における主な変更点:

* 環境変数 EB_DEBUG が定義されていると、EB ライブラリがデバッグ
  メッセージを出力するようにした。
  `configure' の `--enable-debug' オプションを削除した。
* EBZIP 圧縮形式データの伸長における致命的な不具合を修正した。

バージョン 3.2beta1 における主な変更点:

* `ebzip' の最高圧縮レベルを 3 から 5 に変更した。
* 不具合をいくつか修正した。

バージョン 3.2beta0 における主な変更点:

* eb_backward_text() を実装し、eb_forward_text() を改良した。
* EB ライブラリのプログラミングドキュメント (日本語版) を復活させた。
* サンプルプログラムを復活させた。

バージョン 3.1 における主な変更点:

* 圧縮された S-EBXA へのサポートにおける不具合を修正した。

バージョン 3.1beta1 における主な変更点:

* デバッグコードを付加した。
  このコードは `configure --enable-debug' とすると、有効になる。
* eb_initialize_all_subbooks() を eb_load_all_subbooks() に改名した。
  eb_initialize_all_appendix_subbooks() も eb_load_all_appendix_subbooks()
  に改名した。
  後方互換性のため、これまでの名前は CPP マクロとして定義するように
  した。
* "DUDEN" (EBG) への対応が復活した。
* ルートディレクトリにマウントされた CD-ROM の処理における不具合を
  修正した。
* EB ライブラリ内の初期化および後始末ルーチンのオーバーホールを
  行った。
* 軽度の不具合をいくつか修正した。

バージョン 3.1beta0 における主な変更点:

* 圧縮された S-EBXA に対応した。
* ソニーデータディスクマン DP-S1000 付属の「日本大百科全書」に対応した。

バージョン 3.0.1 における主な変更点:

* 不具合をいくつか修正した。

バージョン 3.0 における主な変更点:

* EB の LANGUAGE データへの対応をやめた。

バージョン 3.0beta1 における主な変更点:

* `ebrefile' を C で書き直した。
  日本語のメッセージカタログも用意した。
* 不具合をいくつか修正した。

バージョン 3.0beta0 における主な変更点:

* GNU gettext 0.10.36 の libintl に対応した。
  本パッケージのユーティリティツール群は、libiconv が利用可能なら
  リンクするようになった。
  `configure' に `--with-iconv-includes', `--with-iconv-libraries' 
  オプションを追加した。
* libintl のソースコードを削除した。
  `configure' の `--with-included-gettext' オプションも削除した。
  libintl がシステムになければ、NLS (Native/National Language Support)
  は無効になる。
* EPWING および EB のモノクロ画像データに対応した。
* `ebzip' は動画、画像、音声の各データファイルに対応するようになった。
  `ebzip' に `--skip-content' (`-s') オプションを追加した。
* 軽度の不具合をたくさん修正した。

バージョン 3.0alpha4 における主な変更点:

* EPWING の動画データ、カラー画像データに対応した。
* EB ライブラリを利用したアプリケーション向けに、M4 マクロファイル
  `eb3.m4' を用意した。(Autoconf 2.49 が必要。)

バージョン 3.0alpha3 における主な変更点:

* テキストのフック関連の API を改めた。

バージョン 3.0alpha2 における主な変更点:

* たくさんの不具合を修正した。

バージョン 3.0alpha1 における主な変更点:

* EPWING V6 の圧縮形式に対応したい。
* ファイル名やディレクトリ名における、大文字/小文字や接尾子の一貫性
  の欠如を無視するようにした。
* `ebzip' の `--suffix', `--case' オプションを削除した。
* フォント関連の API を若干ながら変更した。
* 軽度の不具合を、かなり色々と修正した。

バージョン 3.0alpha0 における主な変更点:

* 複合検索に対応した。
* 条件検索に対応した。
* GNU gettext を用いた NLS (Native/National Language Support)。
  日本語のメッセージカタログを用意した。
* 実験的ながら Pthread に対応した。
  `configure' に `--enable-pthreads' オプションを追加した。
* `configure' が、自動的に zlib を見つけ出すようにした。
* API を変更した。
  バージョン 2.x の API とは、非互換な点がいくつかある。
* 軽度の不具合をたくさん修正した。

バージョン 2.3.7 における主な変更点:

* "DUDEN Die sinn-und sachverwandten Worter" (EBG) と "DUDEN Das
  Fremdworterbuch" に対応した。

バージョン 2.3.6 における主な変更点:

* 「日本語語彙大系」 (EPWING, 岩波書店) で顕在化する不具合を修正した。
* "EDICT" (JIS X 4081, フリーの辞書) で顕在化する不具合を修正した。

バージョン 2.3.5 における主な変更点:

* 特になし。

バージョン 2.3.4 における主な変更点:

* EPWING の伸長ルーチンの不具合を修正した。
* 軽度の不具合をいくつか修正した。

バージョン 2.3.3 における主な変更点:

* 共有ライブラリのバージョン番号を修正した。

バージョン 2.3.2 における主な変更点:

* 軽度な不具合を修正した。

(バージョン 2.3.1 はリリースしていない。)

バージョン 2.3 における主な変更点:

* 特になし。

バージョン 2.3beta3 における主な変更点:

* 特になし。

バージョン 2.3beta2 における主な変更点:

* 特になし。

バージョン 2.3beta1 における主な変更点:

* 実験的ながら EBXA-C に対応した。
* 実験的ながら、区切り文字 (stop-code) の自動検出に対応した。

バージョン 2.3beta0 における主な変更点:

* EPWING 圧縮形式で圧縮された CD-ROM 書籍に対応した。
* `ebzip' の情報通知メッセージを変更した。
* `ebrefile' の不具合を修正した。
  `ebrefile' は `ebzip' と同じ順序でカタログファイルを探しに行って
  いなかった。

バージョン 2.2.1 における主な変更点:

* samples と samples-ja を統合した。
* `configure' に `--enable-samples' オプションを追加した。
* DOS, Windows, OS/2 への対応を改善した。

バージョン 2.2 における主な変更点:

* EB ライブラリのドキュメントを追加した。

バージョン 2.1.2 における主な変更点:

* 共有ライブラリのバージョン番号を修正した。
* FreeBSD-ELF に対応した libtool を使うようにした。

バージョン 2.1.1 における主な変更点:

* Windows VC++ 向けのコードをいくつか追加した。
* 不具合を修正した。

バージョン 2.1 における主な変更点:

* 不具合を修正した。

バージョン 2.1beta2 における主な変更点:

* `ebzip' に圧縮レベル 3 を新設した。
* 新たに `ebrefile' コマンドを追加した。

バージョン 2.1beta1 における主な変更点:

* 不具合を修正した。

バージョン 2.1beta0 における主な変更点:

* `ebfont' のドキュメントを追加した。
* 日本語のドキュメントを追加した。
* `configure' に `--with-zlib', `--with-zlib-includes',
  `--with-zlib-libraries' オプションを追加した。
* CD-ROM 書籍の圧縮/伸長に対応した。
* 新たに `ebzip' コマンドを追加した。
* `ebappendix' の `--filename-case' オプションを `--case' に改名した。
* `ebappendix' の `--no-catalogs' オプションを再追加した。
* `ebfont' に `--subbook' (`-S') オプションを足した。
* `ebfont' が生成するディレクトリの構造を変更した。
* zlib ソースコードを取り込むようにした。
* 不具合を修正した。

バージョン 2.0.3 における主な変更点:

* 不具合を修正した。

バージョン 2.0.2 における主な変更点:

* 不具合を修正した。

バージョン 2.0.1 における主な変更点:

* 特になし。

バージョン 2.0 における主な変更点:

* 不具合を修正した。

バージョン 2.0beta1 における主な変更点:

* `ebappendix' のオプション `--filename-cases' を `--filename-case' に
  改名した。
* 不具合を修正した。

バージョン 2.0beta0 における主な変更点:

* GNU libtool の利用により、EB ライブラリの共有ライブラリ版をコンパイ
  ルできるようにした。
* 関数のインターフェースを変更した。
  EB ライブラリ 1.0.x と 2.0 で、いくつか非互換な箇所が生じた。
* `ebinfo' の Texinfo ドキュメントを追加した。
* JIS X 4081-1996 のほとんどの記述に対応した。
* ソースコード配布パッケージのディレクトリ構成を変更した。
* `ebappendix' の `--no-catalogs' オプションを削除した。
* 不具合を修正した。

バージョン 1.0.6 における主な変更点:

* 不具合を修正した。

バージョン 1.0.5 における主な変更点:

* 不具合を修正した。

バージョン 1.0.4 における主な変更点:

* 特になし。

バージョン 1.0.3 における主な変更点:

* "Concise Oxford dicitionary" に対応した。
* 複数のアーキテクチャ上でのコンパイルに関する Makefile.am の不具合
  を修正した。
  複数の種類のコンピュータ上で、同時に本パッケージをコンパイルできる
  ようになった。
* ビットマップの変換関数のインターフェースを変更した。
* 不具合を修正した。

バージョン 1.0.2 における主な変更点:

* EB ライブラリに関数をいくつか追加した。
  これらの関数は、CD-ROM 書籍が定義している外字の画像ファイルを生成
  する。対応している画像形式は、XBM, XPM と GIF。
* 不具合を修正した。

バージョン 1.0.1 における主な変更点:

* JIS X 4081-1996 に記されている表示制御記述子を認識するようにした。
* いくつかの EPWING 書籍で、漢字による前方一致検索ができるようにした。
* EPWING 版リーダーズ英和辞典に対応した。
* 不具合を修正した。

バージョン 1.0 における主な変更点:

* 不具合を修正した。

バージョン 1.0beta2 における主な変更点:

* 不具合を修正した。

バージョン 1.0beta1 における主な変更点:

* appendix データファイルの形式を変更した。
* 不具合を修正した。
